<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@autor			juan.agudelo
@description 	datos de búsqueda de trámites para el regístro de notificación
@version 		2.0
CU:  			CU-CO-V-09 - Registrar notificación 

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" width="100%" cellspacing="7">

    <h:form id="registroNDatosForm">

        <p:focus />
        <p:messages id="msgsB" showDetail="false" globalOnly="false" />

        <p:spacer height="7" width="0" />

        <h:panelGrid columns="3" >

            <h:panelGrid id="numerosPnlGrd" columns="2" cellspacing="7">
                <h:outputLabel value="No. solicitud: " for="numeroSolicitud"
                               styleClass="outputLabelStyle" />
                <h:panelGrid>
                    <h:inputText
                        value="#{registroNotificacion.filtroBusquedaTramite.numeroSolicitud}"
                        size="20" maxlength="20" id="numeroSolicitud" />
                </h:panelGrid>

                <h:outputLabel value="No. radicación: " for="numeroRadicacion"
                               styleClass="outputLabelStyle" />
                <h:panelGrid>
                    <h:inputText
                        value="#{registroNotificacion.filtroBusquedaTramite.numeroRadicacion}"
                        size="20" maxlength="20" id="numeroRadicacion" />
                </h:panelGrid>

                <h:outputLabel value="No. resolución: " for="numeroResolucion"
                               styleClass="outputLabelStyle" />
                <h:panelGrid>
                    <h:inputText
                        value="#{registroNotificacion.filtroBusquedaTramite.numeroResolucion}"
                        label="Número de resolución" size="20" maxlength="20"
                        id="numeroResolucion" />
                </h:panelGrid>

                <h:outputLabel value="Tipo identificación del solicitante: "
                               for="tipoIdentificacion" styleClass="outputLabelStyle" />
                <h:panelGrid>
                    <h:selectOneMenu id="tipoIdentificacion"
                                     label="Tipo de identificación"
                                     value="#{registroNotificacion.filtroBusquedaTramite.tipoIdentificacion}">
                        <f:selectItem itemLabel="Seleccionar..." />
                        <f:selectItems value="#{general.personaTipoIdentificacionCV}" />
                        <p:ajax process="@this" update=":registroNDatosForm:fechasPnlGrd"
                                onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();" />
                    </h:selectOneMenu>
                </h:panelGrid>

                <h:outputLabel value="Actividad: " styleClass="outputLabelStyle" />
                <h:panelGrid id="selectActividad" columns="2">
                    <h:selectOneMenu id="actividad" label="Actividad"
                                     value="#{registroNotificacion.nombreActividadSelected}">
                        <f:selectItems value="#{registroNotificacion.actividadesFiltro}" />
                    </h:selectOneMenu>
                    <p:message for="actividad" display="icon" />
                </h:panelGrid>

            </h:panelGrid>

            <h:panelGrid id="fechasPnlGrd" columns="3" cellspacing="7">

                <p:spacer height="0" width="7" />
                <h:outputLabel value="Fecha solicitud: " for="fechaSolicitud"
                               styleClass="outputLabelStyle" />
                <p:calendar id="fechaSolicitud" effect="explode"
                            value="#{registroNotificacion.filtroBusquedaTramite.fechaSolicitud}"
                            navigator="true" label="Fecha de solicitud catastral" locale="es_CO"
                            pattern="#{general.formatoFechaComponenteCalendar}" showOn="both"
                            title="#{general.formatoFechaUsuario}" size="12" />

                <p:spacer height="0" width="7" />
                <h:outputLabel value="Fecha radicación: " for="fechaRadicacion"
                               styleClass="outputLabelStyle" />
                <p:calendar id="fechaRadicacion" effect="explode"
                            value="#{registroNotificacion.filtroBusquedaTramite.fechaRadicacion}"
                            navigator="true" label="Fecha de radicación de trámite" locale="es_CO"
                            pattern="#{general.formatoFechaComponenteCalendar}" showOn="both"
                            title="#{general.formatoFechaUsuario}" size="12" />

                <p:spacer height="0" width="7" />
                <h:outputLabel value="Fecha resolución: " for="fechaResolucion"
                               styleClass="outputLabelStyle" />
                <p:calendar id="fechaResolucion" effect="explode"
                            value="#{registroNotificacion.filtroBusquedaTramite.fechaResolucion}"
                            navigator="true" label="Fecha del documento de resolución" locale="es_CO"
                            pattern="#{general.formatoFechaComponenteCalendar}" showOn="both"
                            title="#{general.formatoFechaUsuario}" size="12" />

                <p:spacer height="0" width="7" />
                <h:outputLabel value="No. identificación: "
                               for="numeroIdentificacion" styleClass="outputLabelStyle" />
                <h:panelGrid columns="3">
                    <h:inputText
                        value="#{registroNotificacion.filtroBusquedaTramite.numeroIdentificacion}"
                        label="Número de identificación" size="20" maxlength="50"
                        id="numeroIdentificacion" />
                    <h:outputText value="-" styleClass="outputTextStyle"
                                  rendered="#{registroNotificacion.filtroBusquedaTramite.tipoIdentificacion eq 'NIT'}" />
                    <h:inputText
                        value="#{registroNotificacion.filtroBusquedaTramite.digitoVerificacion}"
                        label="Dígito de verificación" size="1" maxlength="1"
                        id="digitoVerificacion"
                        rendered="#{registroNotificacion.filtroBusquedaTramite.tipoIdentificacion eq 'NIT'}" />
                </h:panelGrid>
            </h:panelGrid>

            <h:panelGrid id="tiposPnlGrd" columns="3" cellspacing="7">

                <p:spacer height="0" width="7" />
                <h:outputLabel value="Tipo de solicitud: " for="tipoSolicitud"
                               styleClass="outputLabelStyle" />
                <h:panelGrid id="selectSolicitudTipo" columns="2">
                    <h:selectOneMenu id="tipoSolicitud" label="Tipo de solicitud"
                                     value="#{registroNotificacion.filtroBusquedaTramite.tipoSolicitud}">
                        <f:selectItems value="#{general.solicitudTipoV}" />
                        <p:ajax
                            update=":registroNDatosForm:tiposPnlGrd"
                            process="@this" onstart="statusDialog2.show();"
                            oncomplete="statusDialog2.hide();"
                            listener="#{registroNotificacion.cambioTipoSolicitud}" />
                    </h:selectOneMenu>
                    <p:message for="tipoSolicitud" display="icon" />
                </h:panelGrid>

                <p:spacer height="0" width="7"
                          rendered="#{not empty registroNotificacion.filtroBusquedaTramite.tipoSolicitud}" />
                <h:outputLabel value="Tipo de trámite: " for="tipoTramite"
                               id="tipoTramiteLabel" styleClass="outputLabelStyle"
                               rendered="#{not empty registroNotificacion.filtroBusquedaTramite.tipoSolicitud}" />
                <h:panelGrid id="selectTramiteTipo" columns="2">
                    <h:selectOneMenu id="tipoTramite" label="Tipo de trámite"
                                     value="#{registroNotificacion.filtroBusquedaTramite.tipoTramite}"
                                     rendered="#{not empty registroNotificacion.filtroBusquedaTramite.tipoSolicitud}">
                        <f:selectItems
                            value="#{registroNotificacion.tiposTramitePorSolicitud}" />

                        <p:ajax process="@this" onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();"
                                update=":registroNDatosForm:tiposPnlGrd"
                                listener="#{registroNotificacion.cambioTipoTramite}" />

                    </h:selectOneMenu>
                </h:panelGrid>

                <p:spacer height="0" width="7" />
                <h:outputLabel value="Clase de mutación: " for="claseMutacion"
                               id="claseMutacionLabel" styleClass="outputLabelStyle"
                               rendered="#{not empty registroNotificacion.filtroBusquedaTramite.tipoTramite and
                                           registroNotificacion.filtroBusquedaTramite.tipoTramite eq '1'}" />
                <h:panelGrid id="selectClaseMutacionTipo"
                             rendered="#{not empty registroNotificacion.filtroBusquedaTramite.tipoTramite and
                                         registroNotificacion.filtroBusquedaTramite.tipoTramite eq '1'}">
                    <h:selectOneMenu id="claseMutacion"
                                     value="#{registroNotificacion.filtroBusquedaTramite.claseMutacion}">
                        <f:selectItem itemLabel="Seleccionar..." />
                        <f:selectItems value="#{general.mutacionClaseRadicacion}" />
                        <p:ajax process="@this" update=":registroNDatosForm:tiposPnlGrd"
                                onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();" />
                    </h:selectOneMenu>
                </h:panelGrid>

                <p:spacer height="0" width="7"
                          rendered="#{not empty registroNotificacion.filtroBusquedaTramite.tipoTramite and 
                                      not empty registroNotificacion.filtroBusquedaTramite.claseMutacion and
                                      (registroNotificacion.filtroBusquedaTramite.claseMutacion eq '2' or registroNotificacion.filtroBusquedaTramite.claseMutacion eq '5')}" />
                <h:outputLabel value="Subclase: " for="subtipoMutacion"
                               id="subtipoMutacionLabel" styleClass="outputLabelStyle"
                               rendered="#{not empty registroNotificacion.filtroBusquedaTramite.claseMutacion and
                                           (registroNotificacion.filtroBusquedaTramite.claseMutacion eq '2' or registroNotificacion.filtroBusquedaTramite.claseMutacion eq '5')}" />
                <h:panelGrid id="selectSubtipo"
                             rendered="#{not empty registroNotificacion.filtroBusquedaTramite.claseMutacion and (registroNotificacion.filtroBusquedaTramite.claseMutacion eq '2' or registroNotificacion.filtroBusquedaTramite.claseMutacion eq '5')}">
                    <h:selectOneMenu id="subtipoMutacion"
                                     value="#{registroNotificacion.filtroBusquedaTramite.subtipo}">
                        <f:selectItem itemLabel="Seleccionar..." />
                        <f:selectItems
                            value="#{registroNotificacion.subtipoClaseMutacionV}" />
                        <p:ajax process="@this" onstart="statusDialog2.show();"
                                update=":registroNDatosForm:tiposPnlGrd"
                                oncomplete="statusDialog2.hide();" />
                    </h:selectOneMenu>
                </h:panelGrid>

                <p:commandButton icon="ui-icon-arrowreturnthick-1-w" value="Limpiar Campos"
                                 title="Limpiar campos" process="@this" update=":registroNDatosForm, :tablaResultadoForm, :tramNotPPPnlGrid" 
                                 action="#{registroNotificacion.limpiarCampos}" />
            </h:panelGrid>			

            <p:spacer height="0" width="7"
                      rendered="#{not empty registroNotificacion.filtroBusquedaTramite.claseMutacion }" />
            <p:spacer height="0" width="7"
                      rendered="#{not empty registroNotificacion.filtroBusquedaTramite.claseMutacion and
                                  (registroNotificacion.filtroBusquedaTramite.claseMutacion eq '2' or registroNotificacion.filtroBusquedaTramite.claseMutacion eq '5')}" />
            <p:spacer height="0" width="7"
                      rendered="#{not empty registroNotificacion.filtroBusquedaTramite.claseMutacion and
                                  (registroNotificacion.filtroBusquedaTramite.claseMutacion eq '2' or registroNotificacion.filtroBusquedaTramite.claseMutacion eq '5')}" />

            <p:spacer height="0" width="7"
                      rendered="#{empty registroNotificacion.filtroBusquedaTramite.tipoSolicitud}" />
            <p:spacer height="0" width="7"
                      rendered="#{empty registroNotificacion.filtroBusquedaTramite.tipoSolicitud}" />
            <p:spacer height="0" width="7"
                      rendered="#{not empty registroNotificacion.filtroBusquedaTramite.tipoSolicitud and
                                  not empty registroNotificacion.filtroBusquedaTramite.tipoTramite and
                                  registroNotificacion.filtroBusquedaTramite.tipoTramite eq '1' and
                                  (empty registroNotificacion.filtroBusquedaTramite.claseMutacion or empty registroNotificacion.filtroBusquedaTramite.tipoTramite)}" />

            <p:spacer height="0" width="7"
                      rendered="#{registroNotificacion.filtroBusquedaTramite.tipoTramite ne '1' or 
                                  registroNotificacion.filtroBusquedaTramite.claseMutacion eq '2' or
                                  registroNotificacion.filtroBusquedaTramite.claseMutacion eq '5'}" />
            <p:spacer height="0" width="7"
                      rendered="#{registroNotificacion.filtroBusquedaTramite.tipoTramite ne '1' or 
                                  registroNotificacion.filtroBusquedaTramite.claseMutacion eq '2' or
                                  registroNotificacion.filtroBusquedaTramite.claseMutacion eq '5'}" />
            <p:spacer height="0" width="7"
                      rendered="#{registroNotificacion.filtroBusquedaTramite.tipoTramite ne '1' or 
                                  registroNotificacion.filtroBusquedaTramite.claseMutacion eq '2' or
                                  registroNotificacion.filtroBusquedaTramite.claseMutacion eq '5' }" />

            <p:spacer height="0" width="7" />

        </h:panelGrid>

        <h:panelGrid columns="6">

            <h:panelGrid>
                <h:outputLabel value="No. predial:" styleClass="outputLabelStyle"
                               id="numeroPredialLabel" />
            </h:panelGrid>
            <p:spacer height="0" width="110" />

            <ui:include src="numeroPredialConFormato.xhtml">
                <ui:param name="objetoContenedorNumeroPredialParam"
                          value="#{registroNotificacion.filtroBusquedaTramite.numeroPredialPartes}" />
                <ui:param name="idParam" value="busquedaTramites" />
                <ui:param name="formPIdParam" value="registroNDatosForm" />
            </ui:include>

            <p:message for="numeroPredialLabel" display="icon" />

            <p:outputPanel layout="block" style="text-align:right">

                <p:spacer height="0" width="14" />
                <p:commandButton id="btnBuscar" value="Buscar" icon="ui-icon-search"
                                 disabled="#{registroNotificacion.habilitaBuscar}"
                                 process="@form" update=":tablaResultadoForm,:tramNotPPPnlGrid, :registroNDatosForm:msgsB"
                                 action ="#{registroNotificacion.buscarTramitesPorFiltro}"
                                 ajax="true" onstart="statusDialog2.show();"
                                 oncomplete="statusDialog2.hide();" />
            </p:outputPanel>
        </h:panelGrid>
        <p:spacer height="7" width="7" />

    </h:form>

    <h:form id="tablaResultadoForm">

        <p:dataTable value="#{registroNotificacion.lazyAssignedTramites}"
                     var="tramite" id="busquedaTramitesTable"
                     emptyMessage="No se encontraron trámites." rowKey="#{tramite.id}"
                     selection="#{registroNotificacion.currentTramite}" 
                     selectionMode="single" paginator="true"
                     rendered="#{registroNotificacion.banderaBusquedaTramites}" rows="10"
                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                     paginatorPosition="bottom" rowsPerPageTemplate="10,20,30">

            <p:ajax event="rowSelect" process="@this" listener="#{registroNotificacion.setupTramiteSeleccionado}"
                    update=":tramNotPPPnlGrid" onstart="statusDialog2.show();"
                    oncomplete="statusDialog2.hide();confirmacionAsignacionTramiteWV.show();">
            </p:ajax>

            <p:ajax event="rowUnselect"
                    listener="#{registroNotificacion.deseleccionarTramite}"
                    update=":tramNotPPPnlGrid" onstart="statusDialog2.show();"
                    oncomplete="statusDialog2.hide();" />

            <f:facet name="header">  
                Trámites resultado de la búsqueda
            </f:facet>

            <p:column>
                <f:facet name="header">
                    No. solicitud
                </f:facet>

                <p:commandLink styleClass="commandLinkStyle"
                               oncomplete="detalleSolicitudEjecutarWV.show();"
                               update=":detalleSolicitudEjecutarForm" process="@this"
                               value="#{tramite.solicitud.numero}">
                    <f:setPropertyActionListener value="#{tramite.solicitud}"
                                                 target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                </p:commandLink>
            </p:column>

            <p:column>
                <f:facet name="header">
                    No. radicación
                </f:facet>

                <p:commandLink styleClass="commandLinkStyle"
                               onstart="statusDialog2.show();"
                               oncomplete="statusDialog2.hide();detalleTramiteEjecutarWV.show();"
                               process="@this" update=":detalleTramiteEjecutarForm"
                               value="#{tramite.numeroRadicacion}">
                    <f:setPropertyActionListener value="#{tramite}"
                                                 target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                </p:commandLink>
            </p:column>

            <p:column>
                <f:facet name="header">
                    No. Resolución
                </f:facet>

                <p:commandLink styleClass="commandLinkStyle"
                               onstart="statusDialog2.show();"
                               oncomplete="statusDialog2.hide();viewResolucionWithMarkWaterWV.show();"
                               process="@this" action="#{registroNotificacion.cargarUrlDocumentoConMarcaDeAgua}"
                               update=":detalleTramiteEjecutarForm, :viewResolucionWithMarkWater:vistaMemoForm"
                               value="#{tramite.resultadoDocumento.numeroDocumento}">
                    <f:setPropertyActionListener
                        target="#{registroNotificacion.documentoResolucion}"
                        value="#{tramite.resultadoDocumento}" />
                </p:commandLink>
            </p:column>

            <p:column>
                <f:facet name="header">
                    Tipo de trámite
                </f:facet>

                <h:outputText value="#{tramite.tipoTramiteCadenaCompleto}"
                              id="TramiteTipoTramiteV" styleClass="outputTextStyle">
                </h:outputText>
            </p:column>

        </p:dataTable>

    </h:form>
</h:panelGrid>